Debian Bug report logs - #379149
Package is not binNMU safe, arch-any gnomeicu depends on arch-all gnomeicu-common (= ${Source-Version})

version graph

Package: gnomeicu; Maintainer for gnomeicu is (unknown);

Reported by: Andreas Metzler <ametzler@downhill.at.eu.org>

Date: Fri, 21 Jul 2006 18:04:06 UTC

Severity: grave

Tags: fixed, patch

Merged with 387738

Found in version gnomeicu/0.99.10-1

Fixed in version 0.99.10-1.1

Done: Raphael Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#379149; Package gnomeicu. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Package is not binNMU safe, arch-any gnomeicu depends on arch-all gnomeicu-common (= ${Source-Version})
Date: Fri, 21 Jul 2006 19:53:24 +0200
Package: gnomeicu
Version: 0.99.10-1
Severity: normal
Tags: patch

Package: gnomeicu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnomeicu-common (= ${Source-Version})
[...]
Package: gnomeicu-common
Architecture: all

This will break binNMUs as gnomeicu 0.99.10-1+b1 would depend on a
non-existing gnomeicu-common 0.99.10-1+b1. Using ${Source:Version}
instead of ${Source-Version} should fix this.

thanks, cu andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#379149; Package gnomeicu. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #10 received at 379149@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Debian Bug Tracking System <379149@bugs.debian.org>
Subject: Re: Bug#379149: Package is not binNMU safe, arch-any gnomeicu depends on arch-all gnomeicu-common (= ${Source-Version})
Date: Fri, 21 Jul 2006 20:27:00 +0200
On 2006-07-21 Andreas Metzler <ametzler@downhill.at.eu.org> wrote:
> Using ${Source:Version} instead of ${Source-Version} should fix this.

I forgot to wrtite down that this requires a Build-Depency on 
dpkg-dev (>=1.13.19).
cu andreas
-- 
The 'Galactic Cleaning' policy undertaken by Emperor Zhark is a personal
vision of the emperor's, and its inclusion in this work does not constitute
tacit approval by the author or the publisher for any such projects,
howsoever undertaken.                                (c) Jasper Ffforde



Severity set to `grave' from `normal' Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 379149 387738. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Mohammed Adnène Trojette <adn+deb@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 379149-done@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 387738-done@bugs.debian.org
Cc: Debian Bug Tracking System <379149-done@bugs.debian.org>
Subject: Closing bugs
Date: Sat, 21 Oct 2006 21:25:01 +0200
Version: 0.99.10-1.1

Those bugs have been fixed in an NMU and the NMU has been acked.

-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 07:00:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:01:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.